Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.topic
Class TopicResource

    java.lang.Object
      org.hornetq.rest.queue.DestinationResource
          org.hornetq.rest.topic.TopicResource

    public class TopicResource

extends DestinationResource

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected PushSubscriptionsResource` | `pushSubscriptions`
`protected SubscriptionsResource` | `subscriptions`

Fields inherited from class org.hornetq.rest.queue.DestinationResource
`destination, sender, serviceManager`

Constructor Summary
`TopicResource()`

Method Summary
`protected java.lang.String` | `createPushSubscriptionsLink(javax.ws.rs.core.UriInfo info)`
`protected java.lang.String` | `createSenderLink(javax.ws.rs.core.UriInfo info)`
`protected java.lang.String` | `createSenderWithIdLink(javax.ws.rs.core.UriInfo info)`
`protected java.lang.String` | `createSubscriptionsLink(javax.ws.rs.core.UriInfo info)`
`javax.ws.rs.core.Response` | `get(javax.ws.rs.core.UriInfo uriInfo)`
`PushSubscriptionsResource` | `getPushSubscriptions()`
`SubscriptionsResource` | `getSubscriptions()`
`javax.ws.rs.core.Response` | `head(javax.ws.rs.core.UriInfo uriInfo)`
`PostMessage` | `post()`
`void` | `setPushSubscriptions(PushSubscriptionsResource pushSubscriptions)`
`protected void` | `setPushSubscriptionsLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info)`
`protected void` | `setSenderLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info)`
`protected void` | `setSenderWithIdLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info)`
`void` | `setSubscriptions(SubscriptionsResource subscriptions)`
`protected void` | `setSubscriptionsLink(javax.ws.rs.core.Response.ResponseBuilder response, javax.ws.rs.core.UriInfo info)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.hornetq.rest.queue.DestinationResource
`getDestination, getSender, getServiceManager, setDestination, setSender, setServiceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subscriptions

    protected SubscriptionsResource subscriptions

### pushSubscriptions

    protected PushSubscriptionsResource pushSubscriptions

Constructor Detail

### TopicResource

    public TopicResource()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

### get

    public javax.ws.rs.core.Response get(@Context
                                         javax.ws.rs.core.UriInfo uriInfo)

### head

    public javax.ws.rs.core.Response head(@Context
                                          javax.ws.rs.core.UriInfo uriInfo)

### setSenderLink

    protected void setSenderLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                 javax.ws.rs.core.UriInfo info)

### createSenderLink

    protected java.lang.String createSenderLink(javax.ws.rs.core.UriInfo info)

### setSenderWithIdLink

    protected void setSenderWithIdLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                       javax.ws.rs.core.UriInfo info)

### createSenderWithIdLink

    protected java.lang.String createSenderWithIdLink(javax.ws.rs.core.UriInfo info)

### setSubscriptionsLink

    protected void setSubscriptionsLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                        javax.ws.rs.core.UriInfo info)

### createSubscriptionsLink

    protected java.lang.String createSubscriptionsLink(javax.ws.rs.core.UriInfo info)

### setPushSubscriptionsLink

    protected void setPushSubscriptionsLink(javax.ws.rs.core.Response.ResponseBuilder response,
                                            javax.ws.rs.core.UriInfo info)

### createPushSubscriptionsLink

    protected java.lang.String createPushSubscriptionsLink(javax.ws.rs.core.UriInfo info)

### setSubscriptions

    public void setSubscriptions(SubscriptionsResource subscriptions)

### post

    public PostMessage post()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSubscriptions

    public SubscriptionsResource getSubscriptions()

### getPushSubscriptions

    public PushSubscriptionsResource getPushSubscriptions()

### setPushSubscriptions

    public void setPushSubscriptions(PushSubscriptionsResource pushSubscriptions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.